/*
 *      Copyright (c) 2014 Samsung Electronics Co., Ltd
 *
 *      Licensed under the Flora License, Version 1.1 (the "License");
 *      you may not use this file except in compliance with the License.
 *      You may obtain a copy of the License at
 *
 *              http://floralicense.org/license/
 *
 *      Unless required by applicable law or agreed to in writing, software
 *      distributed under the License is distributed on an "AS IS" BASIS,
 *      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *      See the License for the specific language governing permissions and
 *      limitations under the License.
 */

/*global define*/
/*jslint plusplus: true */

/**
 * Page helper module.
 *
 * @module helpers/page
 * @namespace helpers/page
 */
define({
    name: 'helpers/page',
    requires: [],
    def: function helpersPage() {
        'use strict';

        /**
         * Returns true is specified page is active,
         * false otherwise.
         *
         * @memberof helpers/page
         * @public
         * @param {HTMLElement} page
         * @returns {boolean}
         */
        function isPageActive(page) {
            return !!(page && page.classList.contains('ui-page-active'));
        }

        return {
            isPageActive: isPageActive
        };
    }
});
